/*
 * telnet_server.h
 *
 *  Created on: 24.11.2017
 *      Author: balbekova
 */

#ifndef TELNET_SERVER_H_
#define TELNET_SERVER_H_

#include "settings_api.h"
#include "cli.h"

/* Dimensions the buffer into which input characters are placed. */
#define cmdMAX_INPUT_SIZE			144

/*Number of connection*/
#define NUMBER_TELNET_CONNECT	MAX_SESSIONS

void telnet_server_init(void);
void telnet_server_close(void);
void telnet_server_port_change(void);
portBASE_TYPE FreeRTOS_CLIAuthProcess( int8_t * pcWriteBuffer, cli_state_t *s);

#endif /* TELNET_SERVER_H_ */
